Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Modeling » UML2 » Missing UML2 library in Indigo
Missing UML2 library in Indigo [message #937848] Tue, 09 October 2012 10:17 Go to next message
Luís de Sousa is currently offline Luís de SousaFriend
Messages: 155
Registered: July 2009
Senior Member
Dear all,

I've just opened an old Workspace with some Papyrus models and Eclipse is returning this error:

Project is missing required library: '/usr/local/eclipse.indigo/plugins/org.eclipse.uml2.uml_3.2.100.v201108110105.jar'

Actually plugins are installed in /usr/share/eclipse/plugins/ I don't understand why is Eclipse looking for them in /usr/local/eclipse.indigo/plugins. But beyond that, this particular jar is not in my system, rather:

/usr/share/eclipse/plugins/org.eclipse.uml2_3.2.0.v201101271655.jar

Any ideas how to solve this? Could this be an issue with the Workspace itself?

Thank you for reading.
Re: Missing UML2 library in Indigo [message #937856 is a reply to message #937848] Tue, 09 October 2012 10:26 Go to previous messageGo to next message
Ed Willink is currently offline Ed WillinkFriend
Messages: 4184
Registered: July 2009
Senior Member
Hi

The directory is a red herring; just the first/last on a list of folders
that might all have been tried.

It looks as if you've performed an inconsistent update, possibly via
another Workspace.

I suggest uninstalling and re-installing at least UML2 and Papyrus.

Regards

Ed Willink



On 09/10/2012 11:17, Luís de Sousa wrote:
> Dear all,
>
> I've just opened an old Workspace with some Papyrus models and Eclipse
> is returning this error:
>
> Project is missing required library:
> '/usr/local/eclipse.indigo/plugins/org.eclipse.uml2.uml_3.2.100.v201108110105.jar'
> Actually plugins are installed in /usr/share/eclipse/plugins/ I don't
> understand why is Eclipse looking for them in
> /usr/local/eclipse.indigo/plugins. But beyond that, this particular
> jar is not in my system, rather:
>
>
> /usr/share/eclipse/plugins/org.eclipse.uml2_3.2.0.v201101271655.jar
> Any ideas how to solve this? Could this be an issue with the Workspace
> itself?
>
> Thank you for reading.
Re: Missing UML2 library in Indigo [message #937882 is a reply to message #937856] Tue, 09 October 2012 10:47 Go to previous messageGo to next message
Luís de Sousa is currently offline Luís de SousaFriend
Messages: 155
Registered: July 2009
Senior Member
Hi Ed, thank you for the swift reply. I uninstalled and re-installed Papyrus and UML2 but the error is still there.

Any other things I could try? Thank you.
Re: Missing UML2 library in Indigo [message #937897 is a reply to message #937882] Tue, 09 October 2012 10:57 Go to previous messageGo to next message
Ed Willink is currently offline Ed WillinkFriend
Messages: 4184
Registered: July 2009
Senior Member
Hi

You're probably doing/have done something stupid (with hindsight).

Without lots of details to spend lots of time over, its probably much
quicker to just start with a fresh Indigo SR2 Modeling EPP installation,
and add Papyrus. Then import/copy your old projects.

If this doesn't work the there might be something to debug. If it does
you can compare your two installations and maybe see what you did wrong.

Regards

Ed Willink


On 09/10/2012 11:47, Luís de Sousa wrote:
> Hi Ed, thank you for the swift reply. I uninstalled and re-installed
> Papyrus and UML2 but the error is still there.
> Any other things I could try? Thank you.
Re: Missing UML2 library in Indigo [message #939139 is a reply to message #937848] Wed, 10 October 2012 13:09 Go to previous message
Christian W. Damus is currently offline Christian W. DamusFriend
Messages: 844
Registered: July 2009
Senior Member
Hi, Luis,

Does your project have a reference to this JAR as an external JAR on
its classpath? You would see that in the Build Path property page or
in the .classpath file. Perhaps Papyrus or Xtext added this JAR to
your project's classpath to support code generation or something ...

You might just have to change this reference in the .classpath file to
the current installed org.eclipse.uml2.uml plug-in JAR. I doubt this
is a problem with your software installation, but just the
configuration of this project.

HTH,

Christian

On 2012-10-09 10:17:54 +0000, Luis de Sousa said:

> Dear all,
>
> I've just opened an old Workspace with some Papyrus models and Eclipse
> is returning this error:
>
> Project is missing required library:
> '/usr/local/eclipse.indigo/plugins/org.eclipse.uml2.uml_3.2.100.v201108110105.jar'
>
> Actually plugins are installed in /usr/share/eclipse/plugins/ I don't
> understand why is Eclipse looking for them in
> /usr/local/eclipse.indigo/plugins. But beyond that, this particular jar
> is not in my system, rather:
>
>
> /usr/share/eclipse/plugins/org.eclipse.uml2_3.2.0.v201101271655.jar
> Any ideas how to solve this? Could this be an issue with the Workspace itself?
>
> Thank you for reading.
Previous Topic:setValue() of a stereotype attribute of custom type
Next Topic:strange Types package?
Goto Forum:
  


Current Time: Thu Dec 18 08:36:53 GMT 2014

Powered by FUDForum. Page generated in 0.15967 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software